Subject: RE: [AVT] RFC3558 header-free packet format question

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Fri, 17 Sep 2004 12:52:28 +0200

With frame sizes of 16, 40, 80 and 171 bits it would not be
possible to distinguish one 80 bit frame from two 40 bit frames. 

In a general case, e.g. were one wants to send multiple frames
in one packet, I believe the header-free format should not be
the one used.

Rgds,
/L-E

> -----Original Message-----
> From: Qiaobing Xie [mailto:[email-masked]]
> Sent: den 17 september 2004 12:39
> To: Lars-Erik Jonsson (LU/EAB)
> Cc: AVT List; [email-masked]
> Subject: Re: [AVT] RFC3558 header-free packet format question
> 
> 
> Hi, Lars-Erik/Magnus,
> 
> Thank you both for the explanation. Yes, it makes sense now. 
> Does the intended 
> ROHC-LLA/CDMA2000 operation (as described by both of you) 
> must require the 
> one-frame-per-packet limitation on the header-free format? 
> This is not obvious to me at least.
> 
> regards,
> -Qiaobing
> 
> Lars-Erik Jonsson (LU/EAB) wrote:
> 
> > Qiaobing,
> > 
> > The header-free format was included to make no-overhead-over-the-air
> > possible, then obviously assuming IP/UDP/RTP header compression on
> > the wireless link. By using RFC 3242, the header overhead can be
> > totally eliminated under certain conditions, thus one frame per RTP
> > packet can make much sense.
> > 
> > Cheers,
> > /L-E
> > 
> > 
> > 
> >>-----Original Message-----
> >>From: [email-masked] [mailto:[email-masked]]On Behalf Of
> >>Qiaobing Xie
> >>Sent: den 17 september 2004 05:51
> >>To: AVT List
> >>Cc: [email-masked]
> >>Subject: [AVT] RFC3558 header-free packet format question
> >>
> >>
> >>Hi, Adam,
> >>
> >>The text in section 4.2 of RFC3558 **seems** to indicate that 
> >>only ONE speech frame is 
> >>allowed per RTP packet when header-free format is used. This 
> >>seems to be overly limiting and 
> >>may severely hinder the usage of this payload format (e.g., I 
> >>don't think any over-the-air 
> >>link can afford to use one frame per RTP packet arrangement, 
> >>and if over-the-air link can 
> >>not use header-free format, what would be its purpose?). One 
> >>would think that as long as the 
> >>same codec rate (hence the layout and size) is in use, more 
> >>than one frame should be able to 
> >>be unambiguously carried in a header-free RTP packet.
> >>
> >>Maybe I missed something.
> >>
> >>regards,
> >>-Qiaobing
> >>
> >>
> >>_______________________________________________
> >>Audio/Video Transport Working Group
> >>[email-masked]
> >>https://www1.ietf.org/mailman/listinfo/avt
> >>
> > 
> > 
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Qiaobing Xie <[email-masked]>
Date: Thu, 23 Sep 2004 11:11:22 +0800

Hi, Lars-Erik,

> possible to distinguish one 80 bit frame from two 40 bit frames. 

Of cause, the sender and receiver have to agree at the session set-up to use only a single 
rate (say, 1/2 rate only). In such a case, the frame size becomes fixed and one can rely on 
the length of the packet to unbundle the packet with little trouble.

> in one packet, I believe the header-free format should not be

I am thinking that when the frames are of the same size, I wonder if allowing header-free 
format to carry them is a more efficient alternative...

regards,
-Qiaobing

---

From: "Adam Li" <[email-masked]>
Date: Thu, 23 Sep 2004 00:03:25 -0700

Sorry to jump in the discussion a little late. I got a bit of email
build up in the last couple of days.

For Qiaobing's question, I think for EVRC the codec outputs a mixture of
frames of all different sizes even when a particular mode is selected.
My understanding is that the chance that codec outputs consecutive
frames of the same size for normal input is quite small.

Even for such rare scenarios, the one-frame-per-packet header-free
packet is as efficient as putting multiple frames in one packet, as long
as the header compression is used. 

Adam

-----Original Message-----
From: Qiaobing Xie [mailto:[email-masked]] 
Sent: Wednesday, September 22, 2004 8:11 PM
To: Lars-Erik Jonsson (LU/EAB)
Cc: AVT List; [email-masked]
Subject: Re: [AVT] RFC3558 header-free packet format question

Hi, Lars-Erik,

> possible to distinguish one 80 bit frame from two 40 bit frames. 

Of cause, the sender and receiver have to agree at the session set-up to
use only a single 
rate (say, 1/2 rate only). In such a case, the frame size becomes fixed
and one can rely on 
the length of the packet to unbundle the packet with little trouble.

> in one packet, I believe the header-free format should not be

I am thinking that when the frames are of the same size, I wonder if
allowing header-free 
format to carry them is a more efficient alternative...

regards,
-Qiaobing